from django import template

register = template.Library()

from tarea.models import Actividad,Pregunta
from cuestionario.models import Cuestionario

register = template.Library()

@register.inclusion_tag('formwizard/profesor/tarea/modules/ver_preguntas.html',takes_context=True)
def ver_preguntas_actividad(context,id):
    preguntas = Pregunta.objects.filter(actividad__id__iexact = id,realizador=None,pregunta_evaluada=None)
   #preguntas  = query.tarea_pregunta_actividad.all()
    return {
            'MEDIA_URL': context['MEDIA_URL'],
            'preguntas' : preguntas,

        }

@register.inclusion_tag('formwizard/profesor/tarea/modules/ver_preguntas.html',takes_context=True)
def ver_preguntas_cuestionario(context,id):
    from cuestionario.models import Pregunta
    query = Cuestionario.objects.get(actividad__id__iexact = id)
    preguntas = Pregunta.objects.filter(cuestionario=query,realizador=None)
    return {
            'MEDIA_URL': context['MEDIA_URL'],
            'preguntas' : preguntas,

        }
